objects = {}

function player_create()
	objects.player = {}
	objects.player.body = love.physics.newBody(world, 650/2, 650/2, "dynamic")
	objects.player.shape = love.physics.newCircleShape(20)
	objects.player.fixture = love.physics.newFixture(objects.player.body, objects.player.shape, 1)
end

function player_draw()
	love.graphics.setColor(193, 47, 14)
	love.graphics.circle("fill", objects.player.body:getX(), objects.player.body:getY(), objects.player.shape:getRadius())
end

function player_move(dt)
	world:update(dt)
	
	if love.keyboard.isDown("w") then
		objects.player.body:applyForce(0, -50)
	elseif love.keyboard.isDown("s") then
		objects.player.body:applyForce(0, 50)
	elseif love.keyboard.isDown("a") then
		objects.player.body:applyForce(-50, 0)
	elseif love.keyboard.isDown("d") then
		objects.player.body:applyForce(50, 0)
	end
end