require "core/player"
require "core/physics"
require "core/font"
require "core/entity"
require "core/spawn"

function love.load()
	player_create() --Creates the player
	--entity_mob() --Spawns the entity "mob"
	
	love.graphics.setBackgroundColor(104, 136, 248)
	spawn_random()
end

function love.update(dt)
	player_move(dt)
end

function love.draw()
	player_draw()
	entity_mobDraw()
end

function love.keypressed(key)
	if key == "m" then
		spawn_random()
	end
end

function love.mousepressed(x, y, button)

end